
# A₂E Legacy –- Anno 1503 File Explorer

<!--
This file is part of ae-legacy.
SPDX-FileCopyrightText: 2014-2024  Emily Margit Mueller
SPDX-License-Identifier: GPL-3.0-or-later
-->

A₂E Legacy is a tool for viewing the contents of binary data files of the 2002 game
<a href="https://en.wikipedia.org/wiki/Anno_1503">Anno 1503</a>.</p>


## Project status

**DEPRECATED, USE [the new A₂E](https://gitlab.com/millimarg/ae) INSTEAD.**

The code in this repository is kept for posterity only. It should not be used
as an example for any new projects. It is outdated, limited, and still based
on the [libaf-legacy](https://gitlab.com/millimarg/libaf-legacy) library.

The successor project [A₂E](https://gitlab.com/millimarg/ae) provides support
for more file formats, more features, and is the focus of future developments.
It is based on the [amsel](https://gitlab.com/millimarg/amsel) library.

I don't plan on fixing any bugs you may encounter with this tool, as all efforts
should be directed at [amsel](https://gitlab.com/millimarg/amsel), the Anno 1503
modding system.


## How to build

### GNU/Linux

Make sure `zlib` and `libpng` are installed, then run:

```bash
# Fetch the code
git clone https://gitlab.com/millimarg/ae-legacy
pushd ae-legacy
git submodule update --init --recursive --progress

# Build
cmake -B build -DCMAKE_EXPORT_COMPILE_COMMANDS=ON && cmake --build build -j6
popd
```


### Windows

Cross-compilation for Windows requires `mxe`.

```bash
# Fetch mxe
git clone https://github.com/mxe/mxe

# Install build dependencies: https://mxe.cc/#requirements
# ... use your package manager ...

# Build libaf's build dependencies
cd mxe
make libpng
make zlib

# Build ae-legacy's dependencies
make qtbase

# Work around a bug in mxe:
# https://github.com/mxe/mxe/issues/3050
#
# You have to pick the five library files, rename them properly, copy them
# out of the temporary directory, and finally copy them back in during
# compilation. It sounds more complicated than it is, and you only have to
# do it once to setup the build environment.

# Fetch ae-legacy's source code
cd ..
git clone https://gitlab.com/millimarg/ae-legacy
pushd ae-legacy
git submodule update --init --recursive --progress

# Build ae-legacy
export PATH=/path/to/mxe/usr/bin:$PATH
i686-w64-mingw32.static-cmake -B build-win && i686-w64-mingw32.static-cmake --build build-win -j6
```


## License

Copyright (C) 2014-2024  Emily Margit Mueller (millimarg)

This program is free software: you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
this program. If not, see <a href="https://www.gnu.org/licenses/">www.gnu.org/licenses</a>.
